OtherAPI ReferenceOrganization

Delete a project API key

Deletes one API key of the project. Requests made with it are refused from then on.

DELETE
https://api.soniox.com/v1/organization/projects/{project_id}/api-keys/{key_id}

Deletes one API key of the project. Requests made with it are refused from then on.

Headers

AuthorizationRequiredBearer <SONIOX_API_KEY>

Path parameters

project_idRequiredstring
Format: "uuid"
key_idRequiredstring
Format: "uuid"

Response

204

No Content

Errors

No Content

Unauthorized

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Forbidden

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Not Found

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Too Many Requests

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Internal Server Error

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}